Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.parser
Interface Parser

All Known Implementing Classes:
  AbstractParser

public interface Parser

This class must be implemented by the services that implement XML parsing capabilites in order to be used by Cocoon.

Version:
  $Revision: 1.7 $ $Date: 2000/02/13 18:29:29 $
Author:
  Stefano Mazzocchi

Method Summary
`org.w3c.dom.Document` | `createEmptyDocument()` Creates an empty DOM tree.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource input)` Creates a DOM tree parsing the given input source and using the given entity resolver.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource input, boolean validate)` Creates a DOM tree parsing the given input source and using the given entity resolver.

Method Detail

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource input)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Creates a DOM tree parsing the given input source and using the given entity resolver.

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource input,
                                      boolean validate)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Creates a DOM tree parsing the given input source and using the given entity resolver.

### createEmptyDocument

    public org.w3c.dom.Document createEmptyDocument()

  Creates an empty DOM tree.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.